
TYPO3.Flow - Task # 6599

Status: Resolved Priority: Must have
Author: Andreas Förthner Category: Security
Created: 2010-02-25 Assigned To: Andreas Förthner
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Implement new syntax for policy resources including runtime constraints
Description

example of a Policy.yaml:

resources:
  methods:
    Conference_Model_Paper:
      class(F3\Conference\Domain\Model\Paper)
    Conference_Model_UpdateOwnPaper:
      Conference_Model_Paper && method(setTitle()) || method(setDescription(description == 'FLOW3')) &&
evaluate(this.speaker.person == current.party)

Related issues:
related to TYPO3.Flow - Major Feature # 5659: Implement content security Resolved 2009-12-07

Associated revisions
Revision a8cc2883 - 2010-02-28 00:21 - Andreas Förthner

[+FEATURE] FLOW3 (Security): Implemented runtime evaluations support for policy resources. Resolves #6599, relates to #5659
[~TASK] FLOW3 (Security): Removed the old privileges concept. Now there is only one (implicit) access privilege. Resolves #6600, relates to #5659

History
#1 - 2010-02-25 18:51 - Andreas Förthner
- Status changed from New to Accepted

#2 - 2010-02-28 01:00 - Andreas Förthner
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3881.
